//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.util;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.zip.ZipEntry;
import java.util.zip.ZipOutputStream;

public class CompressUtils {
    File targetFile;

    public CompressUtils() {
    }

    public CompressUtils(File target) {
        this.targetFile = target;
        if (this.targetFile.exists()) {
            this.targetFile.delete();
        }

    }

    public void zipFiles(File srcfile) {
        ZipOutputStream out = null;

        try {
            out = new ZipOutputStream(new FileOutputStream(this.targetFile));
            if (srcfile.isFile()) {
                this.zipFile(srcfile, out, "");
            } else {
                File[] list = srcfile.listFiles();

                for(int i = 0; i < list.length; ++i) {
                    this.compress(list[i], out, "");
                }
            }

            System.out.println("压缩完毕");
        } catch (Exception var13) {
            var13.printStackTrace();
        } finally {
            try {
                if (out != null) {
                    out.close();
                }
            } catch (IOException var12) {
                var12.printStackTrace();
            }

        }

    }

    private void compress(File file, ZipOutputStream out, String basedir) {
        if (file.isDirectory()) {
            this.zipDirectory(file, out, basedir);
        } else {
            this.zipFile(file, out, basedir);
        }

    }

    public void zipFile(File srcfile, ZipOutputStream out, String basedir) {
        if (srcfile.exists()) {
            byte[] buf = new byte[1024];
            FileInputStream in = null;

            try {
                in = new FileInputStream(srcfile);
                out.putNextEntry(new ZipEntry(basedir + srcfile.getName()));

                int len;
                while((len = in.read(buf)) > 0) {
                    out.write(buf, 0, len);
                }
            } catch (Exception var15) {
                var15.printStackTrace();
            } finally {
                try {
                    if (out != null) {
                        out.closeEntry();
                    }

                    if (in != null) {
                        in.close();
                    }
                } catch (IOException var14) {
                    var14.printStackTrace();
                }

            }

        }
    }

    public void zipDirectory(File dir, ZipOutputStream out, String basedir) {
        if (dir.exists()) {
            File[] files = dir.listFiles();

            for(int i = 0; i < files.length; ++i) {
                this.compress(files[i], out, basedir + dir.getName() + "/");
            }

        }
    }

    public static void main(String[] args) {
    }
}
