//
// Source code recreated from a .class file by IntelliJ IDEA
// (powered by FernFlower decompiler)
//

package com.tiptimes.util;

import java.io.UnsupportedEncodingException;
import java.text.DecimalFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import javax.servlet.http.HttpServletResponse;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFDateUtil;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;

public class ExcelUtil {
    public ExcelUtil() {
    }

    public static HSSFWorkbook getHSSFWorkbook(String sheetName, String[] title, String[][] values, int[] width, HSSFWorkbook wb) {
        if (wb == null) {
            wb = new HSSFWorkbook();
        }

        HSSFSheet sheet = wb.createSheet(sheetName);
        HSSFRow row = sheet.createRow(0);
        HSSFCellStyle style = wb.createCellStyle();
//        style.setAlignment((short));
        HSSFCell cell = null;

        int i;
        for(i = 0; i < title.length; ++i) {
            cell = row.createCell(i);
            cell.setCellValue(title[i]);
            cell.setCellStyle(style);
            sheet.setColumnWidth(i, width[i]);
        }

        for(i = 0; i < values.length; ++i) {
            row = sheet.createRow(i + 1);

            for(int j = 0; j < values[i].length; ++j) {
                row.createCell(j).setCellValue(values[i][j]);
            }
        }

        return wb;
    }

    public static void setResponseHeader(HttpServletResponse response, String fileName) {
        try {
            try {
                fileName = new String(fileName.getBytes(), "ISO8859-1");
            } catch (UnsupportedEncodingException var3) {
                var3.printStackTrace();
            }

            response.setContentType("application/octet-stream;charset=ISO8859-1");
            response.setHeader("Content-Disposition", "attachment;filename=" + fileName);
            response.addHeader("Pargam", "no-cache");
            response.addHeader("Cache-Control", "no-cache");
        } catch (Exception var4) {
            var4.printStackTrace();
        }

    }

    public static String getStringValueFromCell(Cell cell) {
        SimpleDateFormat sFormat = new SimpleDateFormat("yyyy-MM-dd");
        DecimalFormat decimalFormat = new DecimalFormat("#.#");
        String cellValue = "";
        if (cell == null) {
            return cellValue;
        } else {
            if (cell.getCellType() == 1) {
                cellValue = cell.getStringCellValue();
            } else if (cell.getCellType() == 0) {
                if (HSSFDateUtil.isCellDateFormatted(cell)) {
                    double d = cell.getNumericCellValue();
                    Date date = HSSFDateUtil.getJavaDate(d);
                    cellValue = sFormat.format(date);
                } else {
                    cellValue = decimalFormat.format(cell.getNumericCellValue());
                }
            } else if (cell.getCellType() == 3) {
                cellValue = "";
            } else if (cell.getCellType() == 4) {
                cellValue = String.valueOf(cell.getBooleanCellValue());
            } else if (cell.getCellType() == 5) {
                cellValue = "";
            } else if (cell.getCellType() == 2) {
                cellValue = cell.getCellFormula().toString();
            }

            return cellValue;
        }
    }
}
